%{!?python_sitelib: %define python_sitelib %(%{__python} -c "from distutils.sysconfig import get_python_lib; print get_python_lib()")}

Name:		pychart
Version:	1.38
Release:	2%{?dist}
License:	GPL
Group:		System Environment/Libraries
Summary:	Python library for generating chart images
URL:		http://home.gna.org/pychart/
Source0:	http://download.gna.org/pychart/PyChart-%{version}.tar.gz
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildRequires:	ghostscript-devel
BuildArch:	noarch

%description
PyChart is a Python library for creating high quality Encapsulated Postscript,
PDF, PNG, or SVG charts. It currently supports line plots, bar plots, 
range-fill plots, and pie charts. Because it is based on Python, you can make 
full use of Python's scripting power.

%package doc
Summary: Documentation for using pychart in python programs
Group: Documentation
Requires: %{name} = %{version}-%{release}

%description doc
PyChart is a Python library for creating high quality Encapsulated Postscript,
PDF, PNG, or SVG charts. It currently supports line plots, bar plots,
range-fill plots, and pie charts. Because it is based on Python, you can make
full use of Python's scripting power.

Install this package if you want the developers' documentation and examples
that tell you how to program with the pychart library.

%prep
%setup -q -n PyChart-%{version}

%build
%{__python} setup.py build
cd doc/
make

%install
rm -rf $RPM_BUILD_ROOT
%{__python} setup.py install --skip-build --root=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root,-)
%doc COPYING
%{python_sitelib}/pychart/

%files doc
%defattr(-,root,root,-)
%doc doc/examples doc/pychart

%changelog
* Mon Sep 19 2005 Toshio Kuratomi <toshio@tiki-lounge.com> 1.38-2
- Create a doc subpackage with the developers documentation

* Sat Sep 17 2005 Tom "spot" Callaway <tcallawa@redhat.com> 1.38-1
- initial package for Fedora Extras
